Преглед изворни кода

ddns-scripts: Update to version 2.2.0-1

modified source directory structure
  - files for production files
  - samples for sample files (not installed in final build)
modified Makefile
  - separate options for additional provider scripts
  - remove comments and empty lines from final build
add IPv4 100.64/10 (RFC 6598) and 169.254/16 (RFC 5735) to the range of default blocked IP's.
new option "bind_network" to force GNU Wget or cURL to use specific network/interface for communication
new "domains.google.com" as IPv4 DDNS provider #822

Signed-off-by: Christian Schoenebeck <christian.schoenebeck@gmail.com>
Christian Schoenebeck пре 10 година
родитељ
комит
5b26382273

+ 99
- 30
net/ddns-scripts/Makefile Прегледај датотеку

@@ -1,64 +1,112 @@
1 1
 include $(TOPDIR)/rules.mk
2 2
 
3 3
 PKG_NAME:=ddns-scripts
4
-PKG_VERSION:=2.1.0
5
-PKG_RELEASE:=5
4
+# Version == major.minor.patch
5
+# increase on new functionality (minor) or patches (patch)
6
+PKG_VERSION:=2.2.0
7
+# Release == build
8
+# increase on changes of services files or tld_names.dat
9
+PKG_RELEASE:=1
10
+
6 11
 PKG_LICENSE:=GPL-2.0
7 12
 PKG_MAINTAINER:=Christian Schoenebeck <christian.schoenebeck@gmail.com>
8
-
9 13
 PKG_BUILD_DIR := $(BUILD_DIR)/$(PKG_NAME)
10 14
 
11 15
 include $(INCLUDE_DIR)/package.mk
12 16
 
13
-define Package/ddns-scripts
17
+define Package/$(PKG_NAME)/Default
14 18
     SECTION:=net
15 19
     CATEGORY:=Network
16 20
     SUBMENU:=IP Addresses and Names
17
-    TITLE:=Dynamic DNS Scripts (with IPv6 support)
18 21
     PKGARCH:=all
19 22
 endef
20 23
 
21
-define Package/ddns-scripts/description
22
-A highly configurable set of scripts for doing dynamic dns updates.
23
-	- IPv6 support
24
-	- force communication to IPv4 or IPv6 only
25
-	- DNS server support
26
-	- using BIND host if installed
27
-	- DNS requests via TCP
28
-	- Proxy server support
29
-	- log file support
30
-	- support to run once
24
+define Package/$(PKG_NAME)
25
+    $(call Package/$(PKG_NAME)/Default)
26
+    TITLE:=Dynamic DNS Client scripts (with IPv6 support)
27
+endef
28
+# shown in LuCI package description
29
+define Package/$(PKG_NAME)/description
30
+    Dynamic DNS Client scripts (with IPv6 support) - Info: http://wiki.openwrt.org/doc/howto/ddns.client
31
+endef
32
+# shown in menuconfig <Help>
33
+define Package/$(PKG_NAME)/config
34
+	help
35
+		A highly configurable set of scripts for doing dynamic dns updates.
36
+		  - IPv6 support
37
+		  - force communication to IPv4 or IPv6 only
38
+		  - DNS server support
39
+		  - using BIND host if installed
40
+		  - DNS requests via TCP
41
+		  - Proxy server support
42
+		  - log file support
43
+		  - support to run once
44
+
45
+		Version: $(PKG_VERSION)-$(PKG_RELEASE)
46
+		Info   : http://wiki.openwrt.org/doc/howto/ddns.client
47
+
48
+		$(PKG_MAINTAINER)
31 49
 endef
32 50
 
33
-define Build/Prepare
51
+define Package/$(PKG_NAME)_CloudFlare
52
+    $(call Package/$(PKG_NAME)/Default)
53
+    TITLE:=DDNS extension for CloudFlare
54
+    DEPENDS:=+$(PKG_NAME)
55
+endef
56
+define Package/$(PKG_NAME)_CloudFlare/description
57
+    Dynamic DNS Client scripts extension for CloudFlare
34 58
 endef
35 59
 
36
-define Build/Configure
60
+define Package/$(PKG_NAME)_No-IP_com
61
+    $(call Package/$(PKG_NAME)/Default)
62
+    TITLE:=DDNS extension for No-IP.com
63
+    DEPENDS:=+$(PKG_NAME)
64
+endef
65
+define Package/$(PKG_NAME)_No-IP_com/description
66
+    Dynamic DNS Client scripts extension for No-IP.com
37 67
 endef
38 68
 
69
+define Build/Configure
70
+endef
39 71
 define Build/Compile
72
+	$(CP) ./files $(PKG_BUILD_DIR)
73
+	for FILE in `find $(PKG_BUILD_DIR)/files -type f`; do \
74
+		$(SED) 's/^\s*#/#/' \
75
+		-e '/^#\s\|^#$$$$/d' \
76
+		-e 's/\s#\s.*$$$$//' \
77
+		-e 's/\s*$$$$//' \
78
+		-e '/^\/\/\s/d'	\
79
+		-e '/^\s*$$$$/d'	$$$$FILE; \
80
+	done
40 81
 endef
41 82
 
42
-define Package/ddns-scripts/conffiles
83
+define Package/$(PKG_NAME)/conffiles
43 84
 /etc/config/ddns
44 85
 endef
45 86
 
46
-define Package/ddns-scripts/install
47
-	$(INSTALL_DIR) $(1)/etc/config
48
-	$(INSTALL_CONF) ./files/etc/config/* $(1)/etc/config
49
-
87
+define Package/$(PKG_NAME)/install
50 88
 	$(INSTALL_DIR) $(1)/etc/hotplug.d/iface
51
-	$(INSTALL_BIN) ./files/etc/hotplug.d/iface/* $(1)/etc/hotplug.d/iface
52
-
89
+	$(INSTALL_BIN) $(PKG_BUILD_DIR)/files/ddns.hotplug $(1)/etc/hotplug.d/iface/95-ddns
53 90
 	$(INSTALL_DIR) $(1)/etc/init.d
54
-	$(INSTALL_BIN) ./files/etc/init.d/* $(1)/etc/init.d/
91
+	$(INSTALL_BIN) $(PKG_BUILD_DIR)/files/ddns.init $(1)/etc/init.d/ddns
92
+	$(INSTALL_DIR) $(1)/etc/config
93
+	$(INSTALL_CONF) $(PKG_BUILD_DIR)/files/ddns.config $(1)/etc/config/ddns
55 94
 
56 95
 	$(INSTALL_DIR) $(1)/usr/lib/ddns
57
-	$(INSTALL_DATA) ./files/usr/lib/ddns/* $(1)/usr/lib/ddns
58
-	$(INSTALL_BIN)  ./files/usr/lib/ddns/*.sh $(1)/usr/lib/ddns
96
+	$(INSTALL_DATA) $(PKG_BUILD_DIR)/files/services* $(1)/usr/lib/ddns
97
+	$(INSTALL_BIN)  $(PKG_BUILD_DIR)/files/dynamic_*.sh $(1)/usr/lib/ddns
98
+endef
99
+define Package/$(PKG_NAME)_CloudFlare/install
100
+	$(INSTALL_DIR) $(1)/usr/lib/ddns
101
+	$(INSTALL_BIN)  $(PKG_BUILD_DIR)/files/update_CloudFlare.sh $(1)/usr/lib/ddns
102
+	$(INSTALL_DATA) $(PKG_BUILD_DIR)/files/tld_names.dat $(1)/usr/lib/ddns
103
+endef
104
+define Package/$(PKG_NAME)_No-IP_com/install
105
+	$(INSTALL_DIR) $(1)/usr/lib/ddns
106
+	$(INSTALL_BIN)  $(PKG_BUILD_DIR)/files/update_No-IP.com.sh $(1)/usr/lib/ddns
59 107
 endef
60 108
 
61
-define Package/ddns-scripts/postinst
109
+define Package/$(PKG_NAME)/postinst
62 110
 	#!/bin/sh
63 111
 	# if run within buildroot exit
64 112
 	[ -n "$${IPKG_INSTROOT}" ] && exit 0
@@ -75,8 +123,18 @@ define Package/ddns-scripts/postinst
75 123
 
76 124
 	exit 0
77 125
 endef
126
+define Package/$(PKG_NAME)_CloudFlare/postinst
127
+	#!/bin/sh
128
+	echo -e '"CloudFlare"\t"update_CloudFlare.sh"' >> $${IPKG_INSTROOT}/usr/lib/ddns/services
129
+	echo -e '"CloudFlare"\t"update_CloudFlare.sh"' >> $${IPKG_INSTROOT}/usr/lib/ddns/services_ipv6
130
+endef
131
+define Package/$(PKG_NAME)_No-IP_com/postinst
132
+	#!/bin/sh
133
+	echo -e '"No-IP.com"\t"update_No-IP.com.sh"' >> $${IPKG_INSTROOT}/usr/lib/ddns/services
134
+	echo -e '"NoIP.com"\t"update_No-IP.com.sh"' >> $${IPKG_INSTROOT}/usr/lib/ddns/services
135
+endef
78 136
 
79
-define Package/ddns-scripts/prerm
137
+define Package/$(PKG_NAME)/prerm
80 138
 	#!/bin/sh
81 139
 	# if run within buildroot exit
82 140
 	[ -n "$${IPKG_INSTROOT}" ] && exit 0
@@ -90,5 +148,16 @@ define Package/ddns-scripts/prerm
90 148
 
91 149
 	exit 0
92 150
 endef
151
+define Package/$(PKG_NAME)_CloudFlare/prerm
152
+	#!/bin/sh
153
+	/bin/sed -i '/update_CloudFlare\.sh/ d' $${IPKG_INSTROOT}/usr/lib/ddns/services
154
+	/bin/sed -i '/update_CloudFlare\.sh/ d' $${IPKG_INSTROOT}/usr/lib/ddns/services_ipv6
155
+endef
156
+define Package/$(PKG_NAME)_No-IP_com/prerm
157
+	#!/bin/sh
158
+	/bin/sed -i '/update_No-IP\.com\.sh/ d' $${IPKG_INSTROOT}/usr/lib/ddns/services
159
+endef
93 160
 
94
-$(eval $(call BuildPackage,ddns-scripts))
161
+$(eval $(call BuildPackage,$(PKG_NAME)))
162
+$(eval $(call BuildPackage,$(PKG_NAME)_CloudFlare))
163
+$(eval $(call BuildPackage,$(PKG_NAME)_No-IP_com))

net/ddns-scripts/files/etc/config/ddns → net/ddns-scripts/files/ddns.config Прегледај датотеку


net/ddns-scripts/files/etc/hotplug.d/iface/95-ddns → net/ddns-scripts/files/ddns.hotplug Прегледај датотеку


net/ddns-scripts/files/etc/init.d/ddns → net/ddns-scripts/files/ddns.init Прегледај датотеку


net/ddns-scripts/files/usr/lib/ddns/dynamic_dns_functions.sh → net/ddns-scripts/files/dynamic_dns_functions.sh Прегледај датотеку

@@ -2,12 +2,12 @@
2 2
 # /usr/lib/ddns/dynamic_dns_functions.sh
3 3
 #
4 4
 # Original written by Eric Paul Bishop, January 2008
5
-# Distributed under the terms of the GNU General Public License (GPL) version 2.0
5
+#.Distributed under the terms of the GNU General Public License (GPL) version 2.0
6 6
 # (Loosely) based on the script on the one posted by exobyte in the forums here:
7 7
 # http://forum.openwrt.org/viewtopic.php?id=14040
8 8
 #
9
-# extended and partial rewritten in August 2014
10
-# by Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
9
+# extended and partial rewritten in August 2014 by
10
+#.Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
11 11
 # to support:
12 12
 # - IPv6 DDNS services
13 13
 # - setting DNS Server to retrieve current IP including TCP transport
@@ -235,6 +235,7 @@ write_log() {
235 235
 	fi
236 236
 	[ $LUCI_HELPER ]   && return	# nothing else todo when running LuCI helper script
237 237
 	[ $__LEVEL -eq 7 ] && return	# no syslog for debug messages
238
+	__CMD=$(echo -e "$__CMD" | tr -d '\n' | tr '\t' '     ')        # remove \n \t chars
238 239
 	[ $__EXIT  -eq 1 ] && {
239 240
 		$__CMD		# force syslog before exit
240 241
 		exit 1
@@ -342,7 +343,7 @@ get_seconds() {
342 343
 }
343 344
 
344 345
 timeout() {
345
-	# copied from http://www.ict.griffith.edu.au/anthony/software/timeout.sh
346
+	#.copied from http://www.ict.griffith.edu.au/anthony/software/timeout.sh
346 347
 	# only did the following changes
347 348
 	#	- commented out "#!/bin/bash" and usage section
348 349
 	#	- replace exit by return for usage as function
@@ -357,8 +358,6 @@ timeout() {
357 358
 	# Example use
358 359
 	#    timeout 5 countdown
359 360
 	#
360
-	###
361
-	#
362 361
 	# Based on notes in my "Shell Script Hints", section "Command Timeout"
363 362
 	#   http://www.ict.griffith.edu.au/~anthony/info/shell/script.hints
364 363
 	#
@@ -369,9 +368,7 @@ timeout() {
369 368
 	# It took years of occasional trials, errors and testing to get a pure bash
370 369
 	# timeout command working as well as this does.
371 370
 	#
372
-	###
373
-	#
374
-	# Anthony Thyssen     6 April 2011
371
+	#.Anthony Thyssen     6 April 2011
375 372
 	#
376 373
 #	PROGNAME=$(type $0 | awk '{print $3}')	# search for executable on path
377 374
 #	PROGDIR=$(dirname $PROGNAME)		# extract directory of program
@@ -638,6 +635,16 @@ do_transfer() {
638 635
 	# lets prefer GNU Wget because it does all for us - IPv4/IPv6/HTTPS/PROXY/force IP version
639 636
 	if /usr/bin/wget --version 2>&1 | grep "\+ssl" >/dev/null 2>&1 ; then
640 637
 		__PROG="/usr/bin/wget -nv -t 1 -O $DATFILE -o $ERRFILE"	# non_verbose no_retry outfile errfile
638
+		# force network/ip to use for communication
639
+		if [ -n "$bind_network" ]; then
640
+			local __BINDIP
641
+			# set correct program to detect IP
642
+			[ $use_ipv6 -eq 0 ] && __RUNPROG="network_get_ipaddr" || __RUNPROG="network_get_ipaddr6"
643
+			eval "$__RUNPROG __BINDIP $bind_network" || \
644
+				write_log 13 "Can not detect local IP using '$__RUNPROG $bind_network' - Error: '$?'"
645
+			write_log 7 "Force communication via IP '$__BINDIP'"
646
+			__PROG="$__PROG --bind-address=$__BINDIP"
647
+		fi
641 648
 		# force ip version to use
642 649
 		if [ $force_ipversion -eq 1 ]; then
643 650
 			[ $use_ipv6 -eq 0 ] && __PROG="$__PROG -4" || __PROG="$__PROG -6"	# force IPv4/IPv6
@@ -664,6 +671,14 @@ do_transfer() {
664 671
 	# libcurl might be compiled without Proxy Support (default in trunk)
665 672
 	elif [ -x /usr/bin/curl ]; then
666 673
 		__PROG="/usr/bin/curl -RsS -o $DATFILE --stderr $ERRFILE"
674
+		# force network/interface-device to use for communication
675
+		if [ -n "$bind_network" ]; then
676
+			local __DEVICE
677
+			network_get_physdev __DEVICE $bind_network || \
678
+				write_log 13 "Can not detect local device using 'network_get_physdev $bind_network' - Error: '$?'"
679
+			write_log 7 "Force communication via device '$__DEVICE'"
680
+			__PROG="$__PROG --interface $__DEVICE"
681
+		fi
667 682
 		# force ip version to use
668 683
 		if [ $force_ipversion -eq 1 ]; then
669 684
 			[ $use_ipv6 -eq 0 ] && __PROG="$__PROG -4" || __PROG="$__PROG -6"	# force IPv4/IPv6
@@ -697,9 +712,12 @@ do_transfer() {
697 712
 	# busybox Wget (did not support neither IPv6 nor HTTPS)
698 713
 	elif [ -x /usr/bin/wget ]; then
699 714
 		__PROG="/usr/bin/wget -q -O $DATFILE"
715
+		# force network/ip not supported
716
+		[ -n "$__BINDIP" ] && \
717
+			write_log 14 "BusyBox Wget: FORCE binding to specific address not supported"
700 718
 		# force ip version not supported
701 719
 		[ $force_ipversion -eq 1 ] && \
702
-			write_log 14 "BusyBox Wget: can not force IP version to use"
720
+			write_log 14 "BusyBox Wget: Force connecting to IPv4 or IPv6 addresses not supported"
703 721
 		# https not supported
704 722
 		[ $use_https -eq 1 ] && \
705 723
 			write_log 14 "BusyBox Wget: no HTTPS support"
@@ -752,7 +770,7 @@ send_update() {
752 770
 
753 771
 	if [ $ALLOW_LOCAL_IP -eq 0 ]; then
754 772
 		# verify given IP / no private IPv4's / no IPv6 addr starting with fxxx of with ":"
755
-		[ $use_ipv6 -eq 0 ] && __IP=$(echo $1 | grep -v -E "(^0|^10\.|^127|^172\.1[6-9]\.|^172\.2[0-9]\.|^172\.3[0-1]\.|^192\.168)")
773
+		[ $use_ipv6 -eq 0 ] && __IP=$(echo $1 | grep -v -E "(^0|^10\.|^100\.6[4-9]\.|^100\.[7-9][0-9]\.|^100\.1[0-1][0-9]\.|^100\.12[0-7]\.|^127|^169\.254|^172\.1[6-9]\.|^172\.2[0-9]\.|^172\.3[0-1]\.|^192\.168)")
756 774
 		[ $use_ipv6 -eq 1 ] && __IP=$(echo $1 | grep "^[0-9a-eA-E]")
757 775
 		[ -z "$__IP" ] && write_log 14 "Private or invalid or no IP '$1' given! Please check your configuration"
758 776
 	else
@@ -788,7 +806,7 @@ get_local_ip () {
788 806
 	local __RUNPROG __DATA __URL __ERR
789 807
 
790 808
 	[ $# -ne 1 ] && write_log 12 "Error calling 'get_local_ip()' - wrong number of parameters"
791
-	write_log 7 "Detect local IP"
809
+	write_log 7 "Detect local IP on '$ip_source'"
792 810
 
793 811
 	while : ; do
794 812
 		case $ip_source in
@@ -796,8 +814,8 @@ get_local_ip () {
796 814
 				# set correct program
797 815
 				[ $use_ipv6 -eq 0 ] && __RUNPROG="network_get_ipaddr" \
798 816
 						    || __RUNPROG="network_get_ipaddr6"
799
-				write_log 7 "#> $__RUNPROG __DATA '$ip_network'"
800
-				eval "$__RUNPROG __DATA $ip_network" || write_log 3 "$__RUNPROG Error: '$?'"
817
+				eval "$__RUNPROG __DATA $ip_network" || \
818
+					write_log 13 "Can not detect local IP using $__RUNPROG '$ip_network' - Error: '$?'"
801 819
 				[ -n "$__DATA" ] && write_log 7 "Local IP '$__DATA' detected on network '$ip_network'"
802 820
 				;;
803 821
 			interface)
@@ -857,7 +875,7 @@ get_local_ip () {
857 875
 				[ $use_ipv6 -eq 0 ] \
858 876
 					&& __DATA=$(grep -m 1 -o "$IPV4_REGEX" $DATFILE) \
859 877
 					|| __DATA=$(grep -m 1 -o "$IPV6_REGEX" $DATFILE)
860
-				[ -n "$__DATA" ] && write_log 7 "Local IP '$__DATA' detected on web at '$__URL'"
878
+				[ -n "$__DATA" ] && write_log 7 "Local IP '$__DATA' detected on web at '$ip_url'"
861 879
 				;;
862 880
 			*)
863 881
 				write_log 12 "Error in 'get_local_ip()' - unhandled ip_source '$ip_source'"

net/ddns-scripts/files/usr/lib/ddns/dynamic_dns_lucihelper.sh → net/ddns-scripts/files/dynamic_dns_lucihelper.sh Прегледај датотеку

@@ -1,8 +1,10 @@
1 1
 #!/bin/sh
2 2
 # /usr/lib/ddns/luci_dns_helper.sh
3 3
 #
4
-# Written in August 2014
5
-# by Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
4
+#.Distributed under the terms of the GNU General Public License (GPL) version 2.0
5
+#
6
+# Written in August 2014 by
7
+#.Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
6 8
 # This script is used by luci-app-ddns
7 9
 # - getting registered IP
8 10
 # - check if possible to get local IP

net/ddns-scripts/files/usr/lib/ddns/dynamic_dns_updater.sh → net/ddns-scripts/files/dynamic_dns_updater.sh Прегледај датотеку

@@ -2,12 +2,12 @@
2 2
 # /usr/lib/ddns/dynamic_dns_updater.sh
3 3
 #
4 4
 # Original written by Eric Paul Bishop, January 2008
5
-# Distributed under the terms of the GNU General Public License (GPL) version 2.0
5
+#.Distributed under the terms of the GNU General Public License (GPL) version 2.0
6 6
 # (Loosely) based on the script on the one posted by exobyte in the forums here:
7 7
 # http://forum.openwrt.org/viewtopic.php?id=14040
8 8
 #
9
-# extended and partial rewritten in August 2014
10
-# by Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
9
+# extended and partial rewritten in August 2014 by
10
+#.Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
11 11
 # to support:
12 12
 # - IPv6 DDNS services
13 13
 # - DNS Server to retrieve registered IP including TCP transport (Ticket 7820)
@@ -147,7 +147,7 @@ ERR_LAST=$?	# save return code - equal 0 if SECTION_ID found
147 147
 write_log 7 "************ ************** ************** **************"
148 148
 write_log 5 "PID '$$' started at $(eval $DATE_PROG)"
149 149
 write_log 7 "uci configuration:\n$(uci -q show ddns.$SECTION_ID | sort)"
150
-write_log 7 "ddns version  : $(opkg list-installed ddns-scripts | awk '{print $3}')"
150
+write_log 7 "ddns version  : $(opkg list-installed ddns-scripts | cut -d ' ' -f 3)"
151 151
 case $VERBOSE_MODE in
152 152
 	0) write_log  7 "verbose mode  : 0 - run normal, NO console output";;
153 153
 	1) write_log  7 "verbose mode  : 1 - run normal, console mode";;

net/ddns-scripts/files/usr/lib/ddns/services → net/ddns-scripts/files/services Прегледај датотеку

@@ -29,11 +29,6 @@
29 29
 "zoneedit.com"		"http://[USERNAME]:[PASSWORD]@dynamic.zoneedit.com/auth/dynamic.html?host=[DOMAIN]&dnsto=[IP]"
30 30
 "free.editdns.net"	"http://dyndns-free.editdns.net/api/dynLinux.php?p=[PASSWORD]&r=[DOMAIN]"
31 31
 
32
-# noip is an alias of no-ip, so allow both names for the same service
33
-# use provider specific update script
34
-"no-ip.com"	"update_no-ip.sh"
35
-"noip.com"	"update_no-ip.sh"
36
-
37 32
 # freedns.afraid.org is weird, you just need an update code, for which we use the password variable
38 33
 "freedns.afraid.org"	"http://freedns.afraid.org/dynamic/update.php?[PASSWORD]&address=[IP]"
39 34
 
@@ -88,11 +83,11 @@
88 83
 # LoopiaDNS
89 84
 "loopia.se" "http://[USERNAME]:[PASSWORD]@dns.loopia.se/XDynDNSServer/XDynDNS.php?system=custom&hostname=[DOMAIN]&myip=[IP]"
90 85
 
91
-# Cloudflare
92
-"cloudflare.com"	"update_cloudflare.sh"
93
-
94 86
 # SelfHost.de
95 87
 "selfhost.de"	"http://carol.selfhost.de/update?username=[USERNAME]&password=[PASSWORD]&myip=[IP]&hostname=1"
96 88
 
97 89
 # no-ip.pl nothing to do with no-ip.com (domain registered to www.domeny.tv) (IP autodetected by provider)
98 90
 "no-ip.pl"	"http://[USERNAME]:[PASSWORD]@update.no-ip.pl/?hostname=[DOMAIN]"
91
+
92
+# domains.google.com	non free service - require HTTPS communication
93
+"domains.google.com"	"https://[USERNAME]:[PASSWORD]@domains.google.com/nic/update?hostname=[DOMAIN]&myip=[IP]"

net/ddns-scripts/files/usr/lib/ddns/services_ipv6 → net/ddns-scripts/files/services_ipv6 Прегледај датотеку

@@ -33,9 +33,6 @@
33 33
 # IPv6 @ MyDNS.JP
34 34
 "mydns.jp"	"http://www.mydns.jp/directip.html?MID=[USERNAME]&PWD=[PASSWORD]&IPV6ADDR=[IP]"
35 35
 
36
-# IPv6 @ Cloudflare
37
-"cloudflare.com"	"update_cloudflare.sh"
38
-
39 36
 # IPv6 @ no-ip.pl nothing to do with no-ip.com (domain registered to www.domeny.tv) (IP autodetected by provider)
40 37
 "no-ip.pl"	"http://[USERNAME]:[PASSWORD]@update.no-ip.pl/?hostname=[DOMAIN]"
41 38
 

net/ddns-scripts/files/usr/lib/ddns/tld_names.dat → net/ddns-scripts/files/tld_names.dat Прегледај датотеку

@@ -1149,7 +1149,7 @@ tt.im
1149 1149
 tv.im
1150 1150
 
1151 1151
 // in : http://en.wikipedia.org/wiki/.in
1152
-// see also: http://www.inregistry.in/policies/
1152
+// see also: https://registry.in/Policies
1153 1153
 // Please note, that nic.in is not an offical eTLD, but used by most
1154 1154
 // government institutions.
1155 1155
 in
@@ -7081,7 +7081,7 @@ xxx
7081 7081
 *.zw
7082 7082
 
7083 7083
 
7084
-// List of new gTLDs imported from https://newgtlds.icann.org/newgtlds.csv on 2014-12-22T18:02:07Z
7084
+// List of new gTLDs imported from https://newgtlds.icann.org/newgtlds.csv on 2015-01-27T00:02:07Z
7085 7085
 
7086 7086
 // abb : 2014-10-24 ABB Ltd
7087 7087
 abb
@@ -7104,6 +7104,9 @@ accountant
7104 7104
 // accountants : 2014-03-20 Knob Town, LLC
7105 7105
 accountants
7106 7106
 
7107
+// aco : 2015-01-08 ACO Severin Ahlmann GmbH & Co. KG
7108
+aco
7109
+
7107 7110
 // active : 2014-05-01 The Active Network, Inc
7108 7111
 active
7109 7112
 
@@ -7134,6 +7137,12 @@ airforce
7134 7137
 // airtel : 2014-10-24 Bharti Airtel Limited
7135 7138
 airtel
7136 7139
 
7140
+// alibaba : 2015-01-15 Alibaba Group Holding Limited
7141
+alibaba
7142
+
7143
+// alipay : 2015-01-15 Alibaba Group Holding Limited
7144
+alipay
7145
+
7137 7146
 // allfinanz : 2014-07-03 Allfinanz Deutsche Vermögensberatung Aktiengesellschaft
7138 7147
 allfinanz
7139 7148
 
@@ -7149,6 +7158,9 @@ analytics
7149 7158
 // android : 2014-08-07 Charleston Road Registry Inc.
7150 7159
 android
7151 7160
 
7161
+// anquan : 2015-01-08 QIHOO 360 TECHNOLOGY CO. LTD.
7162
+anquan
7163
+
7152 7164
 // apartments : 2014-12-11 June Maple, LLC
7153 7165
 apartments
7154 7166
 
@@ -7188,12 +7200,18 @@ auto
7188 7200
 // autos : 2014-01-09 DERAutos, LLC
7189 7201
 autos
7190 7202
 
7203
+// avianca : 2015-01-08 Aerovias del Continente Americano S.A. Avianca
7204
+avianca
7205
+
7191 7206
 // axa : 2013-12-19 AXA SA
7192 7207
 axa
7193 7208
 
7194 7209
 // azure : 2014-12-18 Microsoft Corporation
7195 7210
 azure
7196 7211
 
7212
+// baidu : 2015-01-08 Baidu, Inc.
7213
+baidu
7214
+
7197 7215
 // band : 2014-06-12
7198 7216
 band
7199 7217
 
@@ -7299,6 +7317,9 @@ bond
7299 7317
 // boo : 2014-01-30 Charleston Road Registry Inc.
7300 7318
 boo
7301 7319
 
7320
+// boots : 2015-01-08 THE BOOTS COMPANY PLC
7321
+boots
7322
+
7302 7323
 // bot : 2014-12-18 Amazon EU S.à r.l.
7303 7324
 bot
7304 7325
 
@@ -7311,6 +7332,9 @@ bradesco
7311 7332
 // bridgestone : 2014-12-18 Bridgestone Corporation
7312 7333
 bridgestone
7313 7334
 
7335
+// broadway : 2014-12-22 Celebrate Broadway, Inc.
7336
+broadway
7337
+
7314 7338
 // broker : 2014-12-11 IG Group Holdings PLC
7315 7339
 broker
7316 7340
 
@@ -7365,6 +7389,9 @@ capetown
7365 7389
 // capital : 2014-03-06 Delta Mill, LLC
7366 7390
 capital
7367 7391
 
7392
+// car : 2015-01-22 Charleston Road Registry Inc.
7393
+car
7394
+
7368 7395
 // caravan : 2013-12-12 Caravan International, Inc.
7369 7396
 caravan
7370 7397
 
@@ -7443,6 +7470,9 @@ church
7443 7470
 // circle : 2014-12-18 Amazon EU S.à r.l.
7444 7471
 circle
7445 7472
 
7473
+// cisco : 2014-12-22 Cisco Technology, Inc.
7474
+cisco
7475
+
7446 7476
 // citic : 2014-01-09 CITIC Group Corporation
7447 7477
 citic
7448 7478
 
@@ -7497,6 +7527,9 @@ company
7497 7527
 // computer : 2013-10-24 Pine Mill, LLC
7498 7528
 computer
7499 7529
 
7530
+// comsec : 2015-01-08 VeriSign, Inc.
7531
+comsec
7532
+
7500 7533
 // condos : 2013-12-05 Pine House, LLC
7501 7534
 condos
7502 7535
 
@@ -7506,6 +7539,9 @@ construction
7506 7539
 // consulting : 2013-12-05
7507 7540
 consulting
7508 7541
 
7542
+// contact : 2015-01-08 Top Level Spectrum, Inc.
7543
+contact
7544
+
7509 7545
 // contractors : 2013-09-10 Magic Woods, LLC
7510 7546
 contractors
7511 7547
 
@@ -7530,6 +7566,9 @@ credit
7530 7566
 // creditcard : 2014-03-20 Binky Frostbite, LLC
7531 7567
 creditcard
7532 7568
 
7569
+// creditunion : 2015-01-22 CUNA Performance Resources, LLC
7570
+creditunion
7571
+
7533 7572
 // cricket : 2014-10-09 dot Cricket Limited
7534 7573
 cricket
7535 7574
 
@@ -7551,6 +7590,9 @@ cuisinella
7551 7590
 // cymru : 2014-05-08 Nominet UK
7552 7591
 cymru
7553 7592
 
7593
+// cyou : 2015-01-22 Beijing Gamease Age Digital Technology Co., Ltd.
7594
+cyou
7595
+
7554 7596
 // dabur : 2014-02-06 Dabur India Limited
7555 7597
 dabur
7556 7598
 
@@ -7575,6 +7617,9 @@ day
7575 7617
 // dclk : 2014-11-20 Charleston Road Registry Inc.
7576 7618
 dclk
7577 7619
 
7620
+// dealer : 2014-12-22 Dealer Dot Com, Inc.
7621
+dealer
7622
+
7578 7623
 // deals : 2014-05-22 Sand Sunset, LLC
7579 7624
 deals
7580 7625
 
@@ -7644,6 +7689,9 @@ doosan
7644 7689
 // download : 2014-11-20 dot Support Limited
7645 7690
 download
7646 7691
 
7692
+// dubai : 2015-01-01 Dubai Smart Government Department
7693
+dubai
7694
+
7647 7695
 // durban : 2014-03-24 ZA Central Registry NPC trading as ZA Central Registry
7648 7696
 durban
7649 7697
 
@@ -7749,6 +7797,9 @@ feedback
7749 7797
 // ferrero : 2014-12-18 Ferrero Trading Lux S.A.
7750 7798
 ferrero
7751 7799
 
7800
+// film : 2015-01-08 Motion Picture Domain Registry Pty Ltd
7801
+film
7802
+
7752 7803
 // final : 2014-10-16 Núcleo de Informação e Coordenação do Ponto BR - NIC.br
7753 7804
 final
7754 7805
 
@@ -7881,6 +7932,9 @@ gmo
7881 7932
 // gmx : 2014-04-24 1&1 Mail & Media GmbH
7882 7933
 gmx
7883 7934
 
7935
+// gold : 2015-01-22 June Edge, LLC
7936
+gold
7937
+
7884 7938
 // goldpoint : 2014-11-20 YODOBASHI CAMERA CO.,LTD.
7885 7939
 goldpoint
7886 7940
 
@@ -8001,6 +8055,9 @@ ibm
8001 8055
 // ice : 2014-10-30 IntercontinentalExchange, Inc.
8002 8056
 ice
8003 8057
 
8058
+// icu : 2015-01-08 One.com A/S
8059
+icu
8060
+
8004 8061
 // ifm : 2014-01-30 ifm electronic gmbh
8005 8062
 ifm
8006 8063
 
@@ -8109,6 +8166,12 @@ kiwi
8109 8166
 // koeln : 2014-01-09 NetCologne Gesellschaft für Telekommunikation mbH
8110 8167
 koeln
8111 8168
 
8169
+// komatsu : 2015-01-08 Komatsu Ltd.
8170
+komatsu
8171
+
8172
+// kpn : 2015-01-08 Koninklijke KPN N.V.
8173
+kpn
8174
+
8112 8175
 // krd : 2013-12-05 KRG Department of Information Technology
8113 8176
 krd
8114 8177
 
@@ -8133,6 +8196,9 @@ lat
8133 8196
 // latrobe : 2014-06-16 La Trobe University
8134 8197
 latrobe
8135 8198
 
8199
+// law : 2015-01-22 Minds + Machines Group Limited
8200
+law
8201
+
8136 8202
 // lawyer : 2014-03-20
8137 8203
 lawyer
8138 8204
 
@@ -8160,6 +8226,9 @@ lidl
8160 8226
 // life : 2014-02-06 Trixy Oaks, LLC
8161 8227
 life
8162 8228
 
8229
+// lifeinsurance : 2015-01-15 American Council of Life Insurers
8230
+lifeinsurance
8231
+
8163 8232
 // lifestyle : 2014-12-11 Lifestyle Domain Holdings, Inc.
8164 8233
 lifestyle
8165 8234
 
@@ -8202,6 +8271,9 @@ lotte
8202 8271
 // lotto : 2014-04-10 Afilias Limited
8203 8272
 lotto
8204 8273
 
8274
+// love : 2014-12-22 Merchant Law Group LLP
8275
+love
8276
+
8205 8277
 // ltd : 2014-09-25 Over Corner, LLC
8206 8278
 ltd
8207 8279
 
@@ -8226,6 +8298,9 @@ maif
8226 8298
 // maison : 2013-12-05 Victor Frostbite, LLC
8227 8299
 maison
8228 8300
 
8301
+// makeup : 2015-01-15 L'Oréal
8302
+makeup
8303
+
8229 8304
 // man : 2014-12-04 MAN SE
8230 8305
 man
8231 8306
 
@@ -8334,6 +8409,9 @@ nagoya
8334 8409
 // navy : 2014-03-06 United TLD Holdco Ltd.
8335 8410
 navy
8336 8411
 
8412
+// nec : 2015-01-08 NEC Corporation
8413
+nec
8414
+
8337 8415
 // netbank : 2014-06-26 COMMONWEALTH BANK OF AUSTRALIA
8338 8416
 netbank
8339 8417
 
@@ -8367,6 +8445,9 @@ ninja
8367 8445
 // nissan : 2014-03-27 NISSAN MOTOR CO., LTD.
8368 8446
 nissan
8369 8447
 
8448
+// nokia : 2015-01-08 Nokia Corporation
8449
+nokia
8450
+
8370 8451
 // norton : 2014-12-04 Symantec Corporation
8371 8452
 norton
8372 8453
 
@@ -8391,6 +8472,9 @@ obi
8391 8472
 // okinawa : 2013-12-05 BusinessRalliart Inc.
8392 8473
 okinawa
8393 8474
 
8475
+// omega : 2015-01-08 The Swatch Group Ltd
8476
+omega
8477
+
8394 8478
 // one : 2014-11-07 One.com A/S
8395 8479
 one
8396 8480
 
@@ -8400,6 +8484,9 @@ ong
8400 8484
 // onl : 2013-09-16 I-Registry Ltd.
8401 8485
 onl
8402 8486
 
8487
+// online : 2015-01-15 DotOnline Inc.
8488
+online
8489
+
8403 8490
 // ooo : 2014-01-09 INFIBEAM INCORPORATION LIMITED
8404 8491
 ooo
8405 8492
 
@@ -8469,6 +8556,9 @@ pictet
8469 8556
 // pictures : 2014-03-06 Foggy Sky, LLC
8470 8557
 pictures
8471 8558
 
8559
+// pid : 2015-01-08 Top Level Spectrum, Inc.
8560
+pid
8561
+
8472 8562
 // pin : 2014-12-18 Amazon EU S.à r.l.
8473 8563
 pin
8474 8564
 
@@ -8625,6 +8715,9 @@ saarland
8625 8715
 // safe : 2014-12-18 Amazon EU S.à r.l.
8626 8716
 safe
8627 8717
 
8718
+// safety : 2015-01-08 Safety Registry Services, LLC.
8719
+safety
8720
+
8628 8721
 // sakura : 2014-12-18 SAKURA Internet Inc.
8629 8722
 sakura
8630 8723
 
@@ -8724,12 +8817,21 @@ shiksha
8724 8817
 // shoes : 2013-10-02 Binky Galley, LLC
8725 8818
 shoes
8726 8819
 
8820
+// shouji : 2015-01-08 QIHOO 360 TECHNOLOGY CO. LTD.
8821
+shouji
8822
+
8727 8823
 // shriram : 2014-01-23 Shriram Capital Ltd.
8728 8824
 shriram
8729 8825
 
8730 8826
 // singles : 2013-08-27 Fern Madison, LLC
8731 8827
 singles
8732 8828
 
8829
+// site : 2015-01-15 DotSite Inc.
8830
+site
8831
+
8832
+// skin : 2015-01-15 L'Oréal
8833
+skin
8834
+
8733 8835
 // sky : 2014-06-19 Sky IP International Ltd, a company incorporated in England and Wales, operating via its registered Swiss branch
8734 8836
 sky
8735 8837
 
@@ -8754,6 +8856,9 @@ solar
8754 8856
 // solutions : 2013-11-07 Silver Cover, LLC
8755 8857
 solutions
8756 8858
 
8859
+// sony : 2015-01-08 Sony Corporation
8860
+sony
8861
+
8757 8862
 // soy : 2014-01-23 Charleston Road Registry Inc.
8758 8863
 soy
8759 8864
 
@@ -8769,6 +8874,9 @@ spreadbetting
8769 8874
 // stada : 2014-11-13 STADA Arzneimittel AG
8770 8875
 stada
8771 8876
 
8877
+// star : 2015-01-08 Star India Private Limited
8878
+star
8879
+
8772 8880
 // statoil : 2014-12-04 Statoil ASA
8773 8881
 statoil
8774 8882
 
@@ -8781,12 +8889,18 @@ stcgroup
8781 8889
 // stockholm : 2014-12-18 Stockholms kommun
8782 8890
 stockholm
8783 8891
 
8892
+// storage : 2014-12-22 Self Storage Company LLC
8893
+storage
8894
+
8784 8895
 // study : 2014-12-11 OPEN UNIVERSITIES AUSTRALIA PTY LTD
8785 8896
 study
8786 8897
 
8787 8898
 // style : 2014-12-04 Binky Moon, LLC
8788 8899
 style
8789 8900
 
8901
+// sucks : 2014-12-22 Vox Populi Registry Inc.
8902
+sucks
8903
+
8790 8904
 // supplies : 2013-12-19 Atomic Fields, LLC
8791 8905
 supplies
8792 8906
 
@@ -8805,6 +8919,9 @@ surgery
8805 8919
 // suzuki : 2014-02-20 SUZUKI MOTOR CORPORATION
8806 8920
 suzuki
8807 8921
 
8922
+// swatch : 2015-01-08 The Swatch Group Ltd
8923
+swatch
8924
+
8808 8925
 // swiss : 2014-10-16 Swiss Confederation
8809 8926
 swiss
8810 8927
 
@@ -8823,6 +8940,9 @@ tab
8823 8940
 // taipei : 2014-07-10 Taipei City Government
8824 8941
 taipei
8825 8942
 
8943
+// taobao : 2015-01-15 Alibaba Group Holding Limited
8944
+taobao
8945
+
8826 8946
 // tatar : 2014-04-24 Limited Liability Company
8827 8947
 tatar
8828 8948
 
@@ -8859,6 +8979,9 @@ tires
8859 8979
 // tirol : 2014-04-24 punkt Tirol GmbH
8860 8980
 tirol
8861 8981
 
8982
+// tmall : 2015-01-15 Alibaba Group Holding Limited
8983
+tmall
8984
+
8862 8985
 // today : 2013-09-20 Pearl Woods, LLC
8863 8986
 today
8864 8987
 
@@ -8877,6 +9000,9 @@ toray
8877 9000
 // toshiba : 2014-04-10 TOSHIBA Corporation
8878 9001
 toshiba
8879 9002
 
9003
+// tours : 2015-01-22 Sugar Station, LLC
9004
+tours
9005
+
8880 9006
 // town : 2014-03-06 Koko Moon, LLC
8881 9007
 town
8882 9008
 
@@ -8940,6 +9066,9 @@ video
8940 9066
 // villas : 2013-12-05 New Sky, LLC
8941 9067
 villas
8942 9068
 
9069
+// vip : 2015-01-22 Minds + Machines Group Limited
9070
+vip
9071
+
8943 9072
 // virgin : 2014-09-25 Virgin Enterprises Limited
8944 9073
 virgin
8945 9074
 
@@ -8988,6 +9117,12 @@ wanggou
8988 9117
 // watch : 2013-11-14 Sand Shadow, LLC
8989 9118
 watch
8990 9119
 
9120
+// watches : 2014-12-22 Richemont DNS Inc.
9121
+watches
9122
+
9123
+// weather : 2015-01-08 The Weather Channel, LLC
9124
+weather
9125
+
8991 9126
 // webcam : 2014-01-23 dot Webcam Limited
8992 9127
 webcam
8993 9128
 
@@ -9042,9 +9177,16 @@ xbox
9042 9177
 // xerox : 2014-10-24 Xerox DNHC LLC
9043 9178
 xerox
9044 9179
 
9180
+// xihuan : 2015-01-08 QIHOO 360 TECHNOLOGY CO. LTD.
9181
+xihuan
9182
+
9045 9183
 // xin : 2014-12-11 Elegant Leader Limited
9046 9184
 xin
9047 9185
 
9186
+// xn--11b4c3d : 2015-01-15 VeriSign Sarl
9187
+कॉम
9188
+xn--11b4c3d
9189
+
9048 9190
 // xn--1qqw23a : 2014-01-09 Guangzhou YU Wei Information Technology Co., Ltd.
9049 9191
 佛山
9050 9192
 xn--1qqw23a
@@ -9061,6 +9203,14 @@ xn--3bst00m
9061 9203
 在线
9062 9204
 xn--3ds443g
9063 9205
 
9206
+// xn--3pxu8k : 2015-01-15 VeriSign Sarl
9207
+点看
9208
+xn--3pxu8k
9209
+
9210
+// xn--42c2d9a : 2015-01-15 VeriSign Sarl
9211
+คอม
9212
+xn--42c2d9a
9213
+
9064 9214
 // xn--45q11c : 2013-11-21 Zodiac Scorpio Limited
9065 9215
 八卦
9066 9216
 xn--45q11c
@@ -9077,6 +9227,10 @@ xn--55qw42g
9077 9227
 公司
9078 9228
 xn--55qx5d
9079 9229
 
9230
+// xn--5tzm5g : 2014-12-22 Global Website TLD Asia Limited
9231
+网站
9232
+xn--5tzm5g
9233
+
9080 9234
 // xn--6frz82g : 2013-09-23 Afilias Limited
9081 9235
 移动
9082 9236
 xn--6frz82g
@@ -9097,6 +9251,10 @@ xn--80asehdb
9097 9251
 сайт
9098 9252
 xn--80aswg
9099 9253
 
9254
+// xn--9dbq2a : 2015-01-15 VeriSign Sarl
9255
+קום
9256
+xn--9dbq2a
9257
+
9100 9258
 // xn--9et52u : 2014-06-12 RISE VICTORY LIMITED
9101 9259
 时尚
9102 9260
 xn--9et52u
@@ -9109,6 +9267,10 @@ xn--b4w605ferd
9109 9267
 орг
9110 9268
 xn--c1avg
9111 9269
 
9270
+// xn--c2br7g : 2015-01-15 VeriSign Sarl
9271
+नेट
9272
+xn--c2br7g
9273
+
9112 9274
 // xn--cg4bki : 2013-09-27 SAMSUNG SDS CO., LTD
9113 9275
 삼성
9114 9276
 xn--cg4bki
@@ -9137,6 +9299,10 @@ xn--eckvdtc9d
9137 9299
 新闻
9138 9300
 xn--efvy88h
9139 9301
 
9302
+// xn--fhbei : 2015-01-15 VeriSign Sarl
9303
+كوم
9304
+xn--fhbei
9305
+
9140 9306
 // xn--fiq228c5hs : 2013-09-08 TLD REGISTRY LIMITED
9141 9307
 中文网
9142 9308
 xn--fiq228c5hs
@@ -9169,10 +9335,22 @@ xn--imr513n
9169 9335
 网络
9170 9336
 xn--io0a7i
9171 9337
 
9338
+// xn--j1aef : 2015-01-15 VeriSign Sarl
9339
+ком
9340
+xn--j1aef
9341
+
9342
+// xn--jlq61u9w7b : 2015-01-08 Nokia Corporation
9343
+诺基亚
9344
+xn--jlq61u9w7b
9345
+
9172 9346
 // xn--kcrx77d1x4a : 2014-11-07 Koninklijke Philips N.V.
9173 9347
 飞利浦
9174 9348
 xn--kcrx77d1x4a
9175 9349
 
9350
+// xn--kpu716f : 2014-12-22 Richemont DNS Inc.
9351
+手表
9352
+xn--kpu716f
9353
+
9176 9354
 // xn--kput3i : 2014-02-13 Beijing RITT-Net Technology Development Co., Ltd
9177 9355
 手机
9178 9356
 xn--kput3i
@@ -9193,6 +9371,10 @@ xn--mgbb9fbpob
9193 9371
 همراه
9194 9372
 xn--mgbt3dhd
9195 9373
 
9374
+// xn--mk1bu44c : 2015-01-15 VeriSign Sarl
9375
+닷컴
9376
+xn--mk1bu44c
9377
+
9196 9378
 // xn--mxtq1m : 2014-03-06 Net-Chinese Co., Ltd.
9197 9379
 政府
9198 9380
 xn--mxtq1m
@@ -9221,6 +9403,14 @@ xn--nyqy26a
9221 9403
 рус
9222 9404
 xn--p1acf
9223 9405
 
9406
+// xn--pbt977c : 2014-12-22 Richemont DNS Inc.
9407
+珠宝
9408
+xn--pbt977c
9409
+
9410
+// xn--pssy2u : 2015-01-15 VeriSign Sarl
9411
+大拿
9412
+xn--pssy2u
9413
+
9224 9414
 // xn--q9jyb4c : 2013-09-17 Charleston Road Registry Inc.
9225 9415
 みんな
9226 9416
 xn--q9jyb4c
@@ -9233,10 +9423,18 @@ xn--qcka1pmc
9233 9423
 世界
9234 9424
 xn--rhqv96g
9235 9425
 
9236
-// xn--ses554g : 2014-01-16 HU YI GLOBAL INFORMATION RESOURCES (HOLDING) COMPANY. HONGKONG LIMITED
9426
+// xn--ses554g : 2014-01-16
9237 9427
 网址
9238 9428
 xn--ses554g
9239 9429
 
9430
+// xn--t60b56a : 2015-01-15 VeriSign Sarl
9431
+닷넷
9432
+xn--t60b56a
9433
+
9434
+// xn--tckwe : 2015-01-15 VeriSign Sarl
9435
+コム
9436
+xn--tckwe
9437
+
9240 9438
 // xn--unup4y : 2013-07-14 Spring Fields, LLC
9241 9439
 游戏
9242 9440
 xn--unup4y
@@ -9289,6 +9487,9 @@ yokohama
9289 9487
 // youtube : 2014-05-01 Charleston Road Registry Inc.
9290 9488
 youtube
9291 9489
 
9490
+// yun : 2015-01-08 QIHOO 360 TECHNOLOGY CO. LTD.
9491
+yun
9492
+
9292 9493
 // zara : 2014-11-07 Industria de Diseño Textil, S.A. (INDITEX, S.A.)
9293 9494
 zara
9294 9495
 
@@ -9304,6 +9505,7 @@ zone
9304 9505
 // zuerich : 2014-11-07 Kanton Zürich (Canton of Zurich)
9305 9506
 zuerich
9306 9507
 
9508
+
9307 9509
 // ===END ICANN DOMAINS===
9308 9510
 // ===BEGIN PRIVATE DOMAINS===
9309 9511
 
@@ -9430,6 +9632,10 @@ co.ca
9430 9632
 co.nl
9431 9633
 co.no
9432 9634
 
9635
+// Commerce Guys, SAS
9636
+// Submitted by Damien Tournoud <damien@commerceguys.com> 2015-01-22
9637
+*.platform.sh
9638
+
9433 9639
 // Cupcake : https://cupcake.io/
9434 9640
 // Submitted by Jonathan Rudenberg <jonathan@cupcake.io> 2013-10-08
9435 9641
 cupcake.is

net/ddns-scripts/files/usr/lib/ddns/update_cloudflare.sh → net/ddns-scripts/files/update_CloudFlare.sh Прегледај датотеку

@@ -1,6 +1,8 @@
1 1
 #
2
+#.Distributed under the terms of the GNU General Public License (GPL) version 2.0
3
+#
2 4
 # script for sending updates to cloudflare.com
3
-# 2014-2015 Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
5
+#.2014-2015 Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
4 6
 # many thanks to Paul for testing and feedback during development
5 7
 #
6 8
 # This script is parsed by dynamic_dns_functions.sh inside send_update() function
@@ -34,16 +36,16 @@ __DOMAIN="$__DOMAIN.$__TLD"
34 36
 # function copied from /usr/share/libubox/jshn.sh
35 37
 # from BB14.09 for backward compatibility to AA12.09
36 38
 grep -i "json_get_keys" /usr/share/libubox/jshn.sh >/dev/null 2>&1 || json_get_keys() {
37
-		local __dest="$1"
38
-		local _tbl_cur
39
-
40
-		if [ -n "$2" ]; then
41
-			json_get_var _tbl_cur "$2"
42
-		else
43
-			_json_get_var _tbl_cur JSON_CUR
44
-		fi
45
-		local __var="${JSON_PREFIX}KEYS_${_tbl_cur}"
46
-		eval "export -- \"$__dest=\${$__var}\"; [ -n \"\${$__var+x}\" ]"
39
+	local __dest="$1"
40
+	local _tbl_cur
41
+
42
+	if [ -n "$2" ]; then
43
+		json_get_var _tbl_cur "$2"
44
+	else
45
+		_json_get_var _tbl_cur JSON_CUR
46
+	fi
47
+	local __var="${JSON_PREFIX}KEYS_${_tbl_cur}"
48
+	eval "export -- \"$__dest=\${$__var}\"; [ -n \"\${$__var+x}\" ]"
47 49
 }
48 50
 
49 51
 # function to "sed" unwanted string parts from DATFILE

net/ddns-scripts/files/usr/lib/ddns/update_no-ip.sh → net/ddns-scripts/files/update_No-IP.com.sh Прегледај датотеку

@@ -1,6 +1,8 @@
1 1
 #
2
+#.Distributed under the terms of the GNU General Public License (GPL) version 2.0
3
+#
2 4
 # script for sending updates to no-ip.com / noip.com
3
-# 2014-2015 Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
5
+#.2014-2015 Christian Schoenebeck <christian dot schoenebeck at gmail dot com>
4 6
 #
5 7
 # This script is parsed by dynamic_dns_functions.sh inside send_update() function
6 8
 #

net/ddns-scripts/files/etc/config/ddns.sample → net/ddns-scripts/samples/ddns.config_sample Прегледај датотеку

@@ -245,6 +245,17 @@ config service "myddns"
245 245
 	# default: none
246 246
 #	option proxy ''
247 247
 
248
+	###########
249
+	# In some very special configurations i.e. Multi WAN environment
250
+	# in a NAT cascade it might be necessary to define
251
+	# a network to use for communication.
252
+	# should use option ip_source "web" (see above)
253
+	# Needs GNU Wget (with SSL support) or cURL to be installed.
254
+	# GNU Wget will use IP address and cURL the physical device 
255
+	# of the given network
256
+	# default: none
257
+#	option bind_network "wan7"
258
+
248 259
 	########### Timer settings ########################
249 260
 
250 261
 	###########

net/ddns-scripts/files/usr/lib/ddns/getlocalip_sample.sh → net/ddns-scripts/samples/getlocalip_sample.sh Прегледај датотеку


net/ddns-scripts/files/usr/lib/ddns/update_sample.sh → net/ddns-scripts/samples/update_sample.sh Прегледај датотеку